> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request an authorization code

>  

Clients use this endpoint to request an authorization code according to the parameters specified in the scope. Clients then pass this code to processors. Processor access is scoped only to the GUIDs and features specified in this request. Before requesting an authorization code which includes a member in the scope, clients must have verified that member.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml POST /authorization_code
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /authorization_code:
    post:
      tags:
        - processor token
      summary: Request an authorization code
      description: >-
        Clients use this endpoint to request an authorization code according to
        the parameters specified in the scope. Clients then pass this code to
        processors. Processor access is scoped only to the GUIDs and features
        specified in this request. Before requesting an authorization code which
        includes a member in the scope, clients must have verified that member.
      operationId: requestAuthorizationCode
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthorizationCodeRequestBody'
        description: The scope for the authorization code.
        required: true
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/AuthorizationCodeResponseBody'
          description: OK
components:
  schemas:
    AuthorizationCodeRequestBody:
      properties:
        authorization_code:
          $ref: '#/components/schemas/AuthorizationCodeRequest'
      type: object
    AuthorizationCodeResponseBody:
      properties:
        authorization_code:
          $ref: '#/components/schemas/AuthorizationCodeResponse'
      type: object
    AuthorizationCodeRequest:
      properties:
        scope:
          example: >-
            user-guid:USR-101ad774-288b-44ed-ad16-da87d522ea20
            member-guid:MBR-54feffb9-8474-47bd-8442-de003910113a
            account-guid:ACT-32a64160-582a-4f00-ab34-5f49cc35ed35 read-protected
          nullable: true
          type: string
      type: object
    AuthorizationCodeResponse:
      properties:
        code:
          example: 9nN-9D8_4Z3WYazx7-zXfmqsD3jwgL_2W927Sb3otI
          nullable: true
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````